## libmusicbrainz5 5.0.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)

PROJECT(libmusicbrainz5)
SET(PROJECT_VERSION 5.0.1)

# 1. If the library source code has changed at all since the last update, then increment revision.
# 2. If any interfaces have been added, removed, or changed since the last update, increment current, and set revision to 0.
# 3. If any interfaces have been added since the last public release, then increment age.
# 4. If any interfaces have been removed since the last public release, then set age to 0.
SET(musicbrainz5_SOVERSION_CURRENT  0)
SET(musicbrainz5_SOVERSION_REVISION 1)
SET(musicbrainz5_SOVERSION_AGE      0)

MATH(EXPR musicbrainz5_SOVERSION_MAJOR "${musicbrainz5_SOVERSION_CURRENT} - ${musicbrainz5_SOVERSION_AGE}")
MATH(EXPR musicbrainz5_SOVERSION_MINOR "${musicbrainz5_SOVERSION_AGE}")
MATH(EXPR musicbrainz5_SOVERSION_PATCH "${musicbrainz5_SOVERSION_REVISION}")

SET(musicbrainz5_VERSION ${musicbrainz5_SOVERSION_MAJOR}.${musicbrainz5_SOVERSION_MINOR}.${musicbrainz5_SOVERSION_PATCH})
SET(musicbrainz5_SOVERSION ${musicbrainz5_SOVERSION_MAJOR})

SET(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake/modules)
FIND_PACKAGE(Neon REQUIRED)

SET(LIB_SUFFIX "" CACHE STRING "Define suffix of directory name (32/64)")
SET(EXEC_INSTALL_PREFIX ${CMAKE_INSTALL_PREFIX} CACHE PATH "Installation prefix for executables and object code libraries" FORCE)
SET(BIN_INSTALL_DIR ${EXEC_INSTALL_PREFIX}/bin CACHE PATH "Installation prefix for user executables" FORCE)
SET(LIB_INSTALL_DIR ${EXEC_INSTALL_PREFIX}/lib${LIB_SUFFIX} CACHE PATH  "Installation prefix for object code libraries" FORCE)
SET(INCLUDE_INSTALL_DIR ${CMAKE_INSTALL_PREFIX}/include CACHE PATH "Installation prefix for C header files" FORCE)

CONFIGURE_FILE(${CMAKE_CURRENT_SOURCE_DIR}/libmusicbrainz5.pc.cmake ${CMAKE_CURRENT_BINARY_DIR}/libmusicbrainz5.pc)
CONFIGURE_FILE(${CMAKE_CURRENT_SOURCE_DIR}/Doxyfile.cmake ${CMAKE_CURRENT_SOURCE_DIR}/Doxyfile)
CONFIGURE_FILE(${CMAKE_CURRENT_SOURCE_DIR}/config.h.cmake ${CMAKE_CURRENT_SOURCE_DIR}/config.h)

FILE(GLOB headers ${CMAKE_CURRENT_SOURCE_DIR}/include/musicbrainz5/*.h)
INSTALL(FILES ${headers} include/musicbrainz5/mb5_c.h DESTINATION ${INCLUDE_INSTALL_DIR}/musicbrainz5)
INSTALL(FILES ${CMAKE_CURRENT_BINARY_DIR}/libmusicbrainz5.pc DESTINATION ${LIB_INSTALL_DIR}/pkgconfig)

ADD_SUBDIRECTORY(src)
ADD_SUBDIRECTORY(tests)
ADD_SUBDIRECTORY(examples)

ADD_CUSTOM_TARGET(docs
	doxygen
)

ADD_DEPENDENCIES(docs src_gen)

ADD_CUSTOM_TARGET(dist
    rm -rf "libmusicbrainz-${PROJECT_VERSION}"
    COMMAND git archive --prefix="libmusicbrainz-${PROJECT_VERSION}/" release-${PROJECT_VERSION} | gzip -9 > libmusicbrainz-${PROJECT_VERSION}.tar.gz
)

=== src/CMakeLists.txt ===
SET(CMAKE_INCLUDE_CURRENT_DIR ON)
INCLUDE_DIRECTORIES(${CMAKE_CURRENT_SOURCE_DIR}/.. ${CMAKE_CURRENT_SOURCE_DIR}/../include ${NEON_INCLUDE_DIR})

SET(_sources Alias.cc Annotation.cc Artist.cc ArtistCredit.cc Attribute.cc CDStub.cc Collection.cc
	Disc.cc Entity.cc FreeDBDisc.cc HTTPFetch.cc ISRC.cc Label.cc LabelInfo.cc Lifespan.cc List.cc
	mb5_c.cc Medium.cc MediumList.cc Message.cc Metadata.cc NameCredit.cc NonMBTrack.cc PUID.cc
	Query.cc Rating.cc Recording.cc Relation.cc RelationList.cc Release.cc ReleaseGroup.cc Tag.cc
	TextRepresentation.cc Track.cc UserRating.cc UserTag.cc Work.cc xmlParser.cpp
	RelationListList.cc ISWCList.cc ISWC.cc SecondaryType.cc SecondaryTypeList.cc IPI.cc)

ADD_EXECUTABLE(make-c-interface make-c-interface.cc xmlParser.cpp)

ADD_CUSTOM_COMMAND(
	OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/mb5_c.cc ${CMAKE_CURRENT_BINARY_DIR}/mb5_c.h ${CMAKE_CURRENT_BINARY_DIR}/../include/musicbrainz5/mb5_c.h
	COMMAND make-c-interface ${CMAKE_CURRENT_SOURCE_DIR} cinterface.xml ${CMAKE_CURRENT_BINARY_DIR} mb5_c.cc mb5_c.h
	COMMAND ${CMAKE_COMMAND} -E copy_if_different 	${CMAKE_CURRENT_BINARY_DIR}/mb5_c.h ${CMAKE_CURRENT_BINARY_DIR}/../include/musicbrainz5
	DEPENDS make-c-interface cinterface.xml *.inc
)

ADD_CUSTOM_TARGET(src_gen DEPENDS mb5_c.h)

ADD_LIBRARY(musicbrainz5 SHARED ${_sources})

SET_TARGET_PROPERTIES(musicbrainz5 PROPERTIES
    VERSION ${musicbrainz5_VERSION}
    SOVERSION ${musicbrainz5_SOVERSION}
    DEFINE_SYMBOL MB_API_EXPORTS
)

if(CMAKE_BUILD_TYPE STREQUAL Debug)
	SET_TARGET_PROPERTIES(musicbrainz5 PROPERTIES
		DEFINE_SYMBOL _MB5_DEBUG_
	)
	IF(CMAKE_COMPILER_IS_GNUCXX)
		SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -g -ggdb -O0")
	ENDIF(CMAKE_COMPILER_IS_GNUCXX)
endif(CMAKE_BUILD_TYPE STREQUAL Debug)

TARGET_LINK_LIBRARIES(musicbrainz5 ${NEON_LIBRARIES})

IF(WIN32)
    TARGET_LINK_LIBRARIES(musicbrainz5 wsock32 winmm ws2_32)
ENDIF(WIN32)

IF(CMAKE_COMPILER_IS_GNUCXX)
		SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -Wextra -pedantic-errors")
		IF(EXISTS ${CMAKE_CURRENT_SOURCE_DIR}/../.git)
			SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Werror")
		ENDIF(EXISTS ${CMAKE_CURRENT_SOURCE_DIR}/../.git)
		set_source_files_properties(mb5_c.cc PROPERTIES COMPILE_FLAGS "-Wno-deprecated-declarations")
ENDIF(CMAKE_COMPILER_IS_GNUCXX)

INSTALL(TARGETS musicbrainz5 DESTINATION ${LIB_INSTALL_DIR})

=== tests/CMakeLists.txt ===
INCLUDE_DIRECTORIES(${CMAKE_CURRENT_SOURCE_DIR}/../include)
LINK_LIBRARIES(musicbrainz5 ${NEON_LIBRARIES})
ADD_EXECUTABLE(mbtest mbtest.cc)
ADD_EXECUTABLE(ctest ctest.c)

IF(CMAKE_COMPILER_IS_GNUCXX)
		SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -Wextra -pedantic-errors")
		IF(EXISTS ${CMAKE_CURRENT_SOURCE_DIR}/../.git)
			SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Werror")
		ENDIF(EXISTS ${CMAKE_CURRENT_SOURCE_DIR}/../.git)
ENDIF(CMAKE_COMPILER_IS_GNUCXX)

IF(CMAKE_COMPILER_IS_GNUCC)
		SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wall -Wextra -pedantic-errors")
		IF(EXISTS ${CMAKE_CURRENT_SOURCE_DIR}/../.git)
			SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Werror")
		ENDIF(EXISTS ${CMAKE_CURRENT_SOURCE_DIR}/../.git)
		set_source_files_properties(ctest.c PROPERTIES COMPILE_FLAGS "-Wno-deprecated-declarations")
		set_source_files_properties(mbtest.cc PROPERTIES COMPILE_FLAGS "-Wno-deprecated-declarations")
ENDIF(CMAKE_COMPILER_IS_GNUCC)

## libmusicbrainz5 5.1.0+git20150707

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)

PROJECT(libmusicbrainz5)
SET(PROJECT_VERSION 5.1.0)

# 1. If the library source code has changed at all since the last update, then increment revision.
# 2. If any interfaces have been added, removed, or changed since the last update, increment current, and set revision to 0.
# 3. If any interfaces have been added since the last public release, then increment age.
# 4. If any interfaces have been removed since the last public release, then set age to 0.
SET(musicbrainz5_SOVERSION_CURRENT  2)
SET(musicbrainz5_SOVERSION_REVISION 0)
SET(musicbrainz5_SOVERSION_AGE      0)

MATH(EXPR musicbrainz5_SOVERSION_MAJOR "${musicbrainz5_SOVERSION_CURRENT} - ${musicbrainz5_SOVERSION_AGE}")
MATH(EXPR musicbrainz5_SOVERSION_MINOR "${musicbrainz5_SOVERSION_AGE}")
MATH(EXPR musicbrainz5_SOVERSION_PATCH "${musicbrainz5_SOVERSION_REVISION}")

SET(musicbrainz5_VERSION ${musicbrainz5_SOVERSION_MAJOR}.${musicbrainz5_SOVERSION_MINOR}.${musicbrainz5_SOVERSION_PATCH})
SET(musicbrainz5_SOVERSION ${musicbrainz5_SOVERSION_MAJOR})

SET(musicbrainz5c_SOVERSION_CURRENT  2)
SET(musicbrainz5c_SOVERSION_REVISION 0)
SET(musicbrainz5c_SOVERSION_AGE      0)

MATH(EXPR musicbrainz5c_SOVERSION_MAJOR "${musicbrainz5c_SOVERSION_CURRENT} - ${musicbrainz5c_SOVERSION_AGE}")
MATH(EXPR musicbrainz5c_SOVERSION_MINOR "${musicbrainz5c_SOVERSION_AGE}")
MATH(EXPR musicbrainz5c_SOVERSION_PATCH "${musicbrainz5c_SOVERSION_REVISION}")

SET(musicbrainz5c_VERSION ${musicbrainz5c_SOVERSION_MAJOR}.${musicbrainz5c_SOVERSION_MINOR}.${musicbrainz5c_SOVERSION_PATCH})
SET(musicbrainz5c_SOVERSION ${musicbrainz5c_SOVERSION_MAJOR})

SET(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake/modules)
FIND_PACKAGE(Neon REQUIRED)
FIND_PACKAGE(LibXml2 REQUIRED)

SET(LIB_SUFFIX "" CACHE STRING "Define suffix of directory name (32/64)")
SET(EXEC_INSTALL_PREFIX ${CMAKE_INSTALL_PREFIX} CACHE PATH "Installation prefix for executables and object code libraries" FORCE)
SET(BIN_INSTALL_DIR ${EXEC_INSTALL_PREFIX}/bin CACHE PATH "Installation prefix for user executables" FORCE)
SET(LIB_INSTALL_DIR ${EXEC_INSTALL_PREFIX}/lib${LIB_SUFFIX} CACHE PATH  "Installation prefix for object code libraries" FORCE)
SET(INCLUDE_INSTALL_DIR ${CMAKE_INSTALL_PREFIX}/include CACHE PATH "Installation prefix for C header files" FORCE)

CONFIGURE_FILE(${CMAKE_CURRENT_SOURCE_DIR}/libmusicbrainz5.pc.cmake ${CMAKE_CURRENT_BINARY_DIR}/libmusicbrainz5.pc)
CONFIGURE_FILE(${CMAKE_CURRENT_SOURCE_DIR}/libmusicbrainz5cc.pc.cmake ${CMAKE_CURRENT_BINARY_DIR}/libmusicbrainz5cc.pc)
CONFIGURE_FILE(${CMAKE_CURRENT_SOURCE_DIR}/Doxyfile.cmake ${CMAKE_CURRENT_BINARY_DIR}/Doxyfile)
CONFIGURE_FILE(${CMAKE_CURRENT_SOURCE_DIR}/config.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/include/config.h)

FILE(GLOB headers ${CMAKE_CURRENT_SOURCE_DIR}/include/musicbrainz5/*.h)
INSTALL(FILES ${headers} ${CMAKE_CURRENT_BINARY_DIR}/include/musicbrainz5/mb5_c.h DESTINATION ${INCLUDE_INSTALL_DIR}/musicbrainz5)
INSTALL(FILES ${CMAKE_CURRENT_BINARY_DIR}/libmusicbrainz5.pc ${CMAKE_CURRENT_BINARY_DIR}/libmusicbrainz5cc.pc DESTINATION ${LIB_INSTALL_DIR}/pkgconfig)

ADD_SUBDIRECTORY(src)
ADD_SUBDIRECTORY(tests)
ADD_SUBDIRECTORY(examples)

ADD_CUSTOM_TARGET(docs
	doxygen
)

ADD_DEPENDENCIES(docs src_gen)

ADD_CUSTOM_TARGET(dist
    rm -rf "libmusicbrainz-${PROJECT_VERSION}"
    COMMAND git archive --prefix="libmusicbrainz-${PROJECT_VERSION}/" master | gzip -9 > libmusicbrainz-${PROJECT_VERSION}.tar.gz
)

=== examples/CMakeLists.txt ===
INCLUDE_DIRECTORIES(
	${CMAKE_CURRENT_SOURCE_DIR}/../include
	${CMAKE_CURRENT_BINARY_DIR}/../include
	${LIBXML2_INCLUDE_DIR}
)

ADD_EXECUTABLE(cdlookup cdlookup.cc)
ADD_EXECUTABLE(cdlookup_c cdlookup_c.c)
ADD_EXECUTABLE(search search.cc)
ADD_EXECUTABLE(search_c search_c.c)
ADD_EXECUTABLE(collections collections.cc)

TARGET_LINK_LIBRARIES(cdlookup musicbrainz5cc)
TARGET_LINK_LIBRARIES(cdlookup_c musicbrainz5)
TARGET_LINK_LIBRARIES(search musicbrainz5cc)
TARGET_LINK_LIBRARIES(search_c musicbrainz5)
TARGET_LINK_LIBRARIES(cdlookup musicbrainz5cc)
TARGET_LINK_LIBRARIES(collections musicbrainz5)

IF(CMAKE_COMPILER_IS_GNUCXX)
		SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -Wextra -pedantic-errors")
		IF(EXISTS ${CMAKE_CURRENT_SOURCE_DIR}/../.git)
			SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Werror")
		ENDIF(EXISTS ${CMAKE_CURRENT_SOURCE_DIR}/../.git)
ENDIF(CMAKE_COMPILER_IS_GNUCXX)

IF(CMAKE_COMPILER_IS_GNUCC)
		SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wall -Wextra -pedantic-errors")
		IF(EXISTS ${CMAKE_CURRENT_SOURCE_DIR}/../.git)
			SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Werror")
		ENDIF(EXISTS ${CMAKE_CURRENT_SOURCE_DIR}/../.git)
ENDIF(CMAKE_COMPILER_IS_GNUCC)

=== src/CMakeLists.txt ===
SET(CMAKE_INCLUDE_CURRENT_DIR ON)
INCLUDE_DIRECTORIES(
	${CMAKE_CURRENT_SOURCE_DIR}/..
	${CMAKE_CURRENT_SOURCE_DIR}/../include
	${CMAKE_CURRENT_BINARY_DIR}/../include
	${NEON_INCLUDE_DIR}
	${LIBXML2_INCLUDE_DIR}
)

SET(_sources_cc Alias.cc Annotation.cc Artist.cc ArtistCredit.cc Attribute.cc CDStub.cc Collection.cc
	Disc.cc Entity.cc FreeDBDisc.cc HTTPFetch.cc ISRC.cc Label.cc LabelInfo.cc Lifespan.cc List.cc
	Medium.cc MediumList.cc Message.cc Metadata.cc NameCredit.cc NonMBTrack.cc Offset.cc PUID.cc
	Query.cc Rating.cc Recording.cc Relation.cc RelationList.cc Release.cc ReleaseGroup.cc Tag.cc
	TextRepresentation.cc Track.cc UserRating.cc UserTag.cc Work.cc xmlParser.cc
	RelationListList.cc ISWCList.cc ISWC.cc SecondaryType.cc SecondaryTypeList.cc IPI.cc)
SET(_sources_c mb5_c.cc)

# when crosscompiling import the executable targets from a file
IF(CMAKE_CROSSCOMPILING)
  SET(IMPORT_EXECUTABLES "IMPORTFILE-NOTFOUND" CACHE FILEPATH "Point it to the export file from a native build")
  INCLUDE(${IMPORT_EXECUTABLES})
ENDIF(CMAKE_CROSSCOMPILING)

# only build the generator if not crosscompiling
IF(NOT CMAKE_CROSSCOMPILING)
	ADD_EXECUTABLE(make-c-interface make-c-interface.cc xmlParser.cc)
	TARGET_LINK_LIBRARIES(make-c-interface ${LIBXML2_LIBRARIES})
ENDIF(NOT CMAKE_CROSSCOMPILING)

# export the generator target to a file, so it can be imported (see above) by another build
# the IF() is not necessary, but makes the intention clearer
IF(NOT CMAKE_CROSSCOMPILING)
  EXPORT(TARGETS make-c-interface FILE ${CMAKE_BINARY_DIR}/ImportExecutables.cmake )
ENDIF(NOT CMAKE_CROSSCOMPILING)

ADD_CUSTOM_COMMAND(
	OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/mb5_c.cc ${CMAKE_CURRENT_BINARY_DIR}/mb5_c.h ${CMAKE_CURRENT_BINARY_DIR}/../include/musicbrainz5/mb5_c.h
	COMMAND make-c-interface ${CMAKE_CURRENT_SOURCE_DIR} cinterface.xml ${CMAKE_CURRENT_BINARY_DIR} mb5_c.cc mb5_c.h
	COMMAND ${CMAKE_COMMAND} -E copy_if_different 	${CMAKE_CURRENT_BINARY_DIR}/mb5_c.h ${CMAKE_CURRENT_BINARY_DIR}/../include/musicbrainz5/mb5_c.h
	DEPENDS make-c-interface cinterface.xml *.inc
)

ADD_CUSTOM_TARGET(src_gen DEPENDS mb5_c.h)

ADD_LIBRARY(musicbrainz5cc SHARED ${_sources_cc})
ADD_LIBRARY(musicbrainz5 SHARED ${_sources_c})

SET_TARGET_PROPERTIES(musicbrainz5cc PROPERTIES
    VERSION ${musicbrainz5_VERSION}
    SOVERSION ${musicbrainz5_SOVERSION}
    DEFINE_SYMBOL MB_API_EXPORTS
)

SET_TARGET_PROPERTIES(musicbrainz5 PROPERTIES
    VERSION ${musicbrainz5c_VERSION}
    SOVERSION ${musicbrainz5c_SOVERSION}
    DEFINE_SYMBOL MB_API_EXPORTS
)

if(CMAKE_BUILD_TYPE STREQUAL Debug)
	SET_TARGET_PROPERTIES(musicbrainz5 PROPERTIES
		DEFINE_SYMBOL _MB5_DEBUG_
	)
	IF(CMAKE_COMPILER_IS_GNUCXX)
		SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -g -ggdb -O0")
	ENDIF(CMAKE_COMPILER_IS_GNUCXX)
endif(CMAKE_BUILD_TYPE STREQUAL Debug)

TARGET_LINK_LIBRARIES(musicbrainz5cc ${NEON_LIBRARIES} ${LIBXML2_LIBRARIES})
TARGET_LINK_LIBRARIES(musicbrainz5 musicbrainz5cc)

IF(WIN32)
    TARGET_LINK_LIBRARIES(musicbrainz5 wsock32 winmm ws2_32)
ENDIF(WIN32)

IF(CMAKE_COMPILER_IS_GNUCXX)
		SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -Wextra -pedantic-errors")
		IF(EXISTS ${CMAKE_CURRENT_SOURCE_DIR}/../.git)
			SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Werror")
		ENDIF(EXISTS ${CMAKE_CURRENT_SOURCE_DIR}/../.git)
		#set_source_files_properties(mb5_c.cc PROPERTIES COMPILE_FLAGS "-Wno-deprecated-declarations")
ENDIF(CMAKE_COMPILER_IS_GNUCXX)

INSTALL(TARGETS musicbrainz5cc musicbrainz5 DESTINATION ${LIB_INSTALL_DIR})

=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,12 @@
-INCLUDE_DIRECTORIES(${CMAKE_CURRENT_SOURCE_DIR}/../include)
-LINK_LIBRARIES(musicbrainz5 ${NEON_LIBRARIES})
+INCLUDE_DIRECTORIES(
+	${CMAKE_CURRENT_SOURCE_DIR}/../include
+	${CMAKE_CURRENT_BINARY_DIR}/../include
+	${LIBXML2_INCLUDE_DIR}
+)
 ADD_EXECUTABLE(mbtest mbtest.cc)
 ADD_EXECUTABLE(ctest ctest.c)
+TARGET_LINK_LIBRARIES(mbtest musicbrainz5cc)
+TARGET_LINK_LIBRARIES(ctest musicbrainz5)
 
 IF(CMAKE_COMPILER_IS_GNUCXX)
 		SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -Wextra -pedantic-errors")

=== debian/changelog ===
libmusicbrainz5 (5.1.0+git20150707-5) unstable; urgency=medium

  * Upload to unstable.
  * debian/control: Update B-D on g++ to (>= 4:5.2).

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 03 Aug 2015 23:06:11 +0200

libmusicbrainz5 (5.1.0+git20150707-4) experimental; urgency=medium

  * debian/control: Correctly depend on libmusicbrainz5cc2v5.

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 16 Jul 2015 20:40:13 +0200

libmusicbrainz5 (5.1.0+git20150707-3) experimental; urgency=medium

  * Bump libmusicbrainz5cc SONAME for g++ 5 transition. (Closes: #791142)
    - debian/control:
      - Rename package libmusicbrainz5cc2 to libmusicbrainz5cc2v5.
      - B-D on g++ (>= 4:5) and B-C on to old versions of g++-5.
    - debian/patches/gcc-5.patch: Change SONAME to libmusicbrainz5cc2v5.

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 11 Jul 2015 17:17:46 +0200

libmusicbrainz5 (5.1.0+git20150707-2) unstable; urgency=medium

  * Upload to unstable.

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 09 Jul 2015 12:29:50 +0200

libmusicbrainz5 (5.1.0+git20150707-1) experimental; urgency=medium

  * New upstream snapshot.
  * Split C wrapper functions from the C++ implementation. This helps with the
    GCC 5 transition since it reduces the number of packages requiring a
    rebuild to 3 (cantata, flactag, libkcddb).
    - Add libmusicbrainz5cc2 package.
    - Renamed libmusicbrainz5-1 to libmusicbrainz5-2 due to SONAME bump.
  * debian/rules: Build with -Wl,--as-needed.
  * debian/control: Add graphviz to B-D-I.
  * debian/patches: Removed, applied upstream.

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 08 Jul 2015 20:52:58 +0200

libmusicbrainz5 (5.1.0-3) unstable; urgency=medium

  * debisn/source/format: Switch to 3.0 quilt.
  * debian/patches/out-of-tree.patch: Fix out-of-tree builds.
  * debian/libmusicbrainz5-doc.doc-base: Add doc-base registration.
  * debian/rules:
    - Clean up.
    - Build with --parallel.
    - Use out-of-tree builds.

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 25 Apr 2015 18:10:06 +0200

libmusicbrainz5 (5.1.0-2) unstable; urgency=medium

  * Upload to unstable.
  * debian/{contol,gbp.conf}: Work in master branch.

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 20 Nov 2014 18:18:44 +0100

libmusicbrainz5 (5.1.0-1) experimental; urgency=low

  [ Daniel Pocock ]
  * control: migrated to pkg-multimedia

  [ Sebastian Ramacher ]
  * New upstream release.
    - Replace non-free XML parser with libxml2. (Closes: #749698)
  * debian/control:
    - Add myself to Uploaders. (Closes: #769173)
    - Add libxml2-dev to (Build-)Depends.
    - Rename packages according to SONAME bump.
  * debian/copyright: Correct upstream copyright information.

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 20 Nov 2014 13:04:21 +0100

libmusicbrainz5 (5.0.1-2) unstable; urgency=low

  * control: Bump the priority to optional.

 -- Timo Aaltonen <tjaalton@ubuntu.com>  Thu, 07 Jun 2012 20:34:23 +0300

libmusicbrainz5 (5.0.1-1) unstable; urgency=low

  * New upstream release 5.0.1 (LP: #1005075)

  [ Timo Aaltonen ]
  * Build for multiarch.
  * control: Drop libdiscid0-dev from build-depends, not needed anymore.
  * -dev.examples: Change brace expansion to normal wildcards.
  * control: Add ${misc:Depends} to -dev.
  * copyright: Update.
  * copyright: Update the format url.
  * watch: Update the tarball source.
  * Split -doc from the -dev package.

  [ Daniel Pocock ]
  * Update the packaging for the new soname
  * control, rules: Use hardened build flags, bump the debhelper version.
  * Use the debianized jquery package
    - -doc Depends on libjs-jquery
    - Add a symlink to the debianized version

 -- Timo Aaltonen <tjaalton@ubuntu.com>  Fri, 01 Jun 2012 19:17:52 +0300

libmusicbrainz3 (3.0.2-2) unstable; urgency=low

  * Remove local cmake.mk, use CDBS's
  * Don't make a debug build (Closes: #508474)

 -- Ross Burton <ross@debian.org>  Wed, 21 Jan 2009 09:21:57 +0000

libmusicbrainz3 (3.0.2-1) unstable; urgency=low

  * New upstream release
  - Drop gcc-4.3-fix, merged upstream
  - Add gcc-4.4-fix (Closes: #504895)
  * Bump neon dep to -27.
  * Add watch file
  * Change the pkgconfig file to use Requires.private for neon and diskid

 -- Ross Burton <ross@debian.org>  Mon, 22 Dec 2008 21:49:44 +0000

libmusicbrainz3 (3.0.1-2) unstable; urgency=low

  * Really fix build with g++ 4.3 (Closes: #454835)

 -- Ross Burton <ross@debian.org>  Mon, 03 Mar 2008 10:40:07 +0000

libmusicbrainz3 (3.0.1-1) unstable; urgency=low

  * New upstream release.
  * Remove the build docs/ folder in clean (Closes: #442646)
  * Add missing includes to fix build with GCC 4.3 (Closes: #454835)

 -- Ross Burton <ross@debian.org>  Wed, 02 Jan 2008 16:07:59 +0000

libmusicbrainz3 (3.0.0-1) unstable; urgency=low

  * Initial release.

 -- Ross Burton <ross@debian.org>  Fri,  6 Jul 2007 17:22:46 +0100

=== debian/control ===
Source: libmusicbrainz5
Priority: optional
Maintainer: Debian Multimedia Team <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Sebastian Ramacher <sramacher@debian.org>
Build-Depends:
 debhelper (>= 9.20120417),
 cmake,
 libneon27-gnutls-dev | libneon-dev,
 libxml2-dev,
 g++ (>= 4:5.2),
Build-Depends-Indep:
 doxygen,
 graphviz
Standards-Version: 3.9.6
Section: libs
Homepage: http://musicbrainz.org/doc/libmusicbrainz
Vcs-Git: git://anonscm.debian.org/pkg-multimedia/libmusicbrainz.git
Vcs-Browser: https://anonscm.debian.org/cgit/libmusicbrainz.git

Package: libmusicbrainz5-dev
Section: libdevel
Architecture: any
Depends:
 ${misc:Depends},
 libmusicbrainz5-2 (= ${binary:Version}),
 libmusicbrainz5cc2v5 (= ${binary:Version}),
 libneon27-gnutls-dev | libneon-dev,
 libxml2-dev
Suggests:
 libmusicbrainz5-doc
Description: Library to access the MusicBrainz.org database (development files)
 MusicBrainz is a community music metadatabase that attempts to create a
 comprehensive music information site.
 .
 This package contains the development files.

Package: libmusicbrainz5-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 libjs-jquery
Description: Library to access the MusicBrainz.org database (developer documentation)
 MusicBrainz is a community music metadatabase that attempts to create a
 comprehensive music information site.
 .
 This package contains the developer documentation.

Package: libmusicbrainz5-2
Architecture: any
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Multi-Arch: same
Description: Library to access the MusicBrainz.org database (C wrapper functions)
 MusicBrainz is a community music metadatabase that attempts to create a
 comprehensive music information site.
 .
 This package contains the shared library for the C wrapper functions.

Package: libmusicbrainz5cc2v5
Architecture: any
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Multi-Arch: same
Description: Library to access the MusicBrainz.org database
 MusicBrainz is a community music metadatabase that attempts to create a
 comprehensive music information site.
 .
 This package contains the shared library.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND=-Wl,--as-needed
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

%:
	dh $@ --parallel

override_dh_auto_configure:
	dh_auto_configure -- \
		-DLIB_SUFFIX=/$(DEB_HOST_MULTIARCH)

override_dh_auto_build-indep:
	dh_auto_build -- docs
	rm -f obj-*/docs/jquery.js
	rm -f obj-*/docs/*.md5

DEB_DEBDIR=$(dir $(firstword $(MAKEFILE_LIST)))
DEB_UPSTREAM_VER=$(shell dpkg-parsechangelog -l$(DEB_DEBDIR)/changelog \
	| sed -ne 's/^Version: \(.*\)-[^-]*/\1/p' | sed -ne 's/^\([^+]*\)+git.*/\1/p')
COMMIT=97f98a6e04d6ae0bc7c1a7f8003e25b6c364d59b
get-orig-source:
	TMPD=`mktemp -d` && \
		git clone https://github.com/metabrainz/libmusicbrainz \
			"$$TMPD/libmusicbrainz" && \
		git --git-dir="$$TMPD/libmusicbrainz/.git" archive \
			--prefix=libmusicbrainz/ $(COMMIT) | \
			xz > $$TMPD/libmusicbrainz.tar.xz && \
		CDATE=`git --git-dir="$$TMPD/libmusicbrainz/.git" show \
			--format=format:%ci -s $(COMMIT) | \
			awk '{ gsub(/-/,""); print $$1 }'` && \
		mv $$TMPD/libmusicbrainz.tar.xz \
			libmusicbrainz5_$(DEB_UPSTREAM_VER)+git$$CDATE.orig.tar.xz && \
		rm -rf $$TMPD

=== debian/watch ===
version=3
opts=dversionmangle=s/\+git\d+$// \
http://musicbrainz.org/doc/libmusicbrainz .*/libmusicbrainz-(.*)\.tar\.gz
